## discover1-data 1.2004.09.12-0ubuntu14

=== Makefile ===
# $Progeny: Makefile,v 1.2 2002/01/18 06:20:52 dsp Exp $

prefix = /usr
datadir = $(prefix)/share

DESTDIR =

MAJOR=1
DATE=$(shell date +%Y.%m.%d)
VERSION=$(MAJOR).$(DATE)
DISTNAME=discover-data-$(VERSION)

hwlists_DATA = pci.lst pcmcia.lst usb.lst sbus.lst

hwlistsdir = $(datadir)/discover

all: $(hwlists_DATA)

shorthwlists: $(hwlists_DATA)
	# Copy in limited autodetect databases to save space.
	for discoverdb in $(hwlists_DATA) ; \
	do \
	    discoverfn=`basename $$discoverdb`; \
	    cat $$discoverdb | \
		awk 'BEGIN { FS = "\t"; CURRENTVENDOR = ""; LASTVENDOR = "Nonexistent Vendor" }; /^[^\t]/ { CURRENTVENDOR = $$0 }; /^\t/ && $$3 !~ /(sound|tvcard|video)/ && $$4 !~ /(unknown|ignore)/ { if (CURRENTVENDOR != LASTVENDOR) print CURRENTVENDOR; print $$0; LASTVENDOR = CURRENTVENDOR }' \
		> $$discoverfn-short ; \
	done

install: $(hwlists_DATA)
	install -m 755 -d $(DESTDIR)$(hwlistsdir)
	install -m 644 $(hwlists_DATA) $(DESTDIR)$(hwlistsdir)

install-udeb: shorthwlists
	install -m 755 -d $(DESTDIR)$(hwlistsdir)
	for list in $(hwlists_DATA) ; do \
		install -m 644 $$list-short $(DESTDIR)$(hwlistsdir)/$$list ; \
	done

uninstall:
	for i in $(hwlists_DATA); do rm $(DESTDIR)$(hwlistsdir)/$$i; done
	-rmdir $(DESTDIR)$(hwlistsdir)

update-pci:
	wget http://pciids.sourceforge.net/pci.ids.gz
	gunzip -f pci.ids.gz
	chmod a+rx ./hw-db-merge.pl
	./hw-db-merge.pl

check-pci-types:
	# Based on the type list in discover1 (discover.c) version 1.5-8
	grep "	" pci.lst | cut -d"	" -f3|sort -u | egrep -v "bridge|cdrom|ethernet|ide|scsi|sound|usb|video|disk|isdn|unknown"
	#bridge,cdrom|disk|ide|scsi|usb|ethernet|modem|sound|video

dist:
	mkdir $(DISTNAME)
	cp Makefile $(hwlists_DATA) $(DISTNAME)
	tar cf - $(DISTNAME) | gzip -9 > $(DISTNAME).tar.gz
	md5sum $(DISTNAME).tar.gz > $(DISTNAME).tar.gz.md5sum
	rm -rf $(DISTNAME)

.PHONY: all install uninstall dist

clean:
	$(RM) *.lst-short
	$(RM) .#*

=== debian/changelog ===
discover1-data (1.2004.09.12-0ubuntu14) warty; urgency=low

  * Drop accidental space in front of 10de00e6 (closes: Ubuntu #2410).

 -- Colin Watson <cjwatson@canonical.com>  Fri, 15 Oct 2004 14:17:45 +0100

discover1-data (1.2004.09.12-0ubuntu13) warty; urgency=low

  * Change class of 10390001 to bridge/unknown, rather than
    video/Server:XFree86(sis), as it is obviously not a video card.

 -- Daniel Stone <daniel.stone@canonical.com>  Tue, 12 Oct 2004 11:36:25 +1000

discover1-data (1.2004.09.12-0ubuntu12) warty; urgency=low

  * Add ethernet/acx_pci for 104c8400, 104c8401, 104c9066.
  * Add ethernet/ipw2200 for 80864220 (Mark Shuttleworth).

 -- Colin Watson <cjwatson@canonical.com>  Tue, 12 Oct 2004 00:36:47 +0100

discover1-data (1.2004.09.12-0ubuntu11) warty; urgency=low

  * s/sym53c8xx_2/sym53c8xx/, to match 2.6 module naming

 -- Matt Zimmerman <mdz@canonical.com>  Sun, 10 Oct 2004 17:21:05 -0700

discover1-data (1.2004.09.12-0ubuntu10) warty; urgency=low

  * Add usb/usb-ohci for 106b003f (closes: Ubuntu #1997).

 -- Colin Watson <cjwatson@canonical.com>  Sat,  2 Oct 2004 16:22:45 +0100

discover1-data (1.2004.09.12-0ubuntu9) warty; urgency=low

  * Add usb/ehci-hcd for 10397002 (closes: Ubuntu #1971).

 -- Colin Watson <cjwatson@canonical.com>  Fri,  1 Oct 2004 23:46:23 +0100

discover1-data (1.2004.09.12-0ubuntu8) warty; urgency=low

  * NVIDIA USB updates (closes: Ubuntu #1856):
    - Add usb/usb-ohci for 10de00e7.
    - Add usb/ehci-hcd for 10de00e8.

 -- Colin Watson <cjwatson@canonical.com>  Fri,  1 Oct 2004 18:40:19 +0100

discover1-data (1.2004.09.12-0ubuntu7) warty; urgency=low

  * Add ethernet/prism54 for 12603890.

 -- Colin Watson <cjwatson@canonical.com>  Fri,  1 Oct 2004 14:39:16 +0100

discover1-data (1.2004.09.12-0ubuntu6) warty; urgency=low

  * Add ethernet/forcedeth for 10de0037, 10de0038, 10de0056, 10de0057,
    10de0086, 10de008c, 10de00e6.

 -- Colin Watson <cjwatson@canonical.com>  Thu, 30 Sep 2004 00:46:09 +0100

discover1-data (1.2004.09.12-0ubuntu5) warty; urgency=low

  * Add ethernet/forcedeth for 10de00df

 -- Matt Zimmerman <mdz@canonical.com>  Wed, 29 Sep 2004 15:57:06 -0700

discover1-data (1.2004.09.12-0ubuntu4) warty; urgency=low

  * Sync up various drivers with kernel lists (closes: Warty #1618):
    - Add ide/ata_piix for 808624df, 808625b0, 80862651, 80862652.
    - Add ide/piix for 8086266f.
    - Add usb/ehci-hcd for 8086265c.
    - Add ethernet/tg3 for 11484500, 14e41649, 14e41658, 14e41659, 14e4166e,
      14e41676, 14e41677, 14e4167c, 14e4167d, 14e4167e, 14e4169d, 14e4170e,
      173b03e9, 173b03eb.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 29 Sep 2004 19:30:13 +0100

discover1-data (1.2004.09.12-0ubuntu3) warty; urgency=low

  * Add in some missing Via cards, and a Via vendor default.

 -- Daniel Stone <daniel.stone@canonical.com>  Thu, 23 Sep 2004 14:56:19 +1000

discover1-data (1.2004.09.12-0ubuntu2) warty; urgency=low

  * Revert r4xx mapping change in 1.2004.08.11-0ubuntu6, as the XFree86 r4xx
    support patch has been reverted.

 -- Daniel Stone <daniels@debian.org>  Thu, 23 Sep 2004 12:41:58 +1000

discover1-data (1.2004.09.12-0ubuntu1) warty; urgency=low

  * Merge Warty changes.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 22 Sep 2004 19:40:14 +0100

discover1-data (1.2004.09.12) unstable; urgency=medium

  * Joshua Kwan
    - Fix pci.lst to reflect this from pci_ids.h:
         #define PCI_VENDOR_ID_3WARE             0x13C1
         #define PCI_DEVICE_ID_3WARE_9000        0x1002
      so 13c11002 now points to 3w-9xxx (which is currently only available
      in 2.6), closes: #269734
    - Change 10111014 to use the 'd4x5' driver. Closes: #269654
    - Change 104c8021 to bridge/ohci1394. Closes: #267410
    - Change 80861960 to unknown/unknown to fix a misload of the megaraid
      module. Closes: #271181
    - Add usb/usb-uhci for 8086265[8-b]. Closes: #268434
    - Add ethernet/e100 + appropriate names from pci.ids for 8086106[4-b].
      Closes: #266947
    - Add scsi/aic79xx for 90058016. Closes: #271347
    - Add ide/piix for 8086245b, 808624ca, 808624cb, 808624db.
      Closes: #271214

 -- Joshua Kwan <joshk@triplehelix.org>  Sun, 12 Sep 2004 22:21:29 -0700

discover1-data (1.2004.08.11-0ubuntu6) warty; urgency=low

  * Change ATI r4xx mappings to ati, rather than vesa, since they are now
    supported in XFree86, as of 4.3.0.dfsg.1-6ubuntu20.
  * Replace all references to ncr53c8xx with sym53c8xx (closes: Warty #1543).
  * Add in a few new SiS video card mappings, and add a vendor default
    (closes: Warty #1544).

 -- Daniel Stone <daniels@debian.org>  Wed, 22 Sep 2004 18:35:24 +1000

discover1-data (1.2004.08.11-0ubuntu5) warty; urgency=low

  * Add sata_nv PCI ids (closes: Warty #1324).

 -- Colin Watson <cjwatson@canonical.com>  Fri, 17 Sep 2004 14:15:37 +0100

discover1-data (1.2004.08.11-0ubuntu4) warty; urgency=low

  * Add missing i915 mapping; map it to vesa for the time being, as 4.3.x
    lacks native support.

 -- Daniel Stone <daniels@debian.org>  Fri,  3 Sep 2004 18:00:18 +1000

discover1-data (1.2004.08.11-0ubuntu3) warty; urgency=low

  * Update of nVidia cards from X.Org CVS driver and pciids.sf.net. 

 -- Daniel Stone <daniels@debian.org>  Fri,  3 Sep 2004 17:03:36 +1000

discover1-data (1.2004.08.11-0ubuntu2) warty; urgency=low

  * Massive update of ATI cards from ATI docs, Radeon driver in X.Org CVS, and
    pciids.sf.net; cards unsupported by the current version of XFree86 in
    Warty have been listed as using the vesa driver.

 -- Daniel Stone <daniels@debian.org>  Fri,  3 Sep 2004 15:12:28 +1000

discover1-data (1.2004.08.11-0ubuntu1) warty; urgency=low

  * Add defaults for ATI, NVIDIA and Intel vendors to ati, nv and i8xx XFree86
    drivers, respectively.

 -- Daniel Stone <daniels@debian.org>  Wed,  1 Sep 2004 14:25:29 +1000

discover1-data (1.2004.08.11) unstable; urgency=high

  * David Nusinow
    - Urgency set to high to make the propagation deadline


=== debian/control ===
Source: discover1-data
Section: libs
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@soziologie.ch>, Petter Reinholdtsen <pere@debian.org>, Joshua Kwan <joshk@triplehelix.org>
Standards-Version: 3.6.1.0
Build-Depends-Indep: debhelper (>= 4.2)

Package: discover1-data
Architecture: all
Conflicts: discover-data
Description: hardware lists for libdiscover1
 The libdiscover1 library requires this package to look up information about
 various hardware devices using the identification data that they report.  It
 contains data detailing various PCI, PCMCIA, and USB devices.
 .
 The Linux kernel module information corresponds to Linux 2.2.20; module names
 for Linux 2.4.x are also provided in many cases for the convenience of 2.4.x
 users, but only where they do not conflict with 2.2.20 module names.

Package: discover1-data-udeb
Section: debian-installer
Priority: extra
Architecture: all
XC-Package-Type: udeb
Description: hardware lists for libdiscover1 (short list)
 The libdiscover1 library requires this package to look up information about
 various hardware devices using the identification data that they report.  It
 contains data detailing various PCI, PCMCIA, and USB devices.
 .
 The Linux kernel module information corresponds to Linux 2.2.20; module names
 for Linux 2.4.x are also provided in many cases for the convenience of 2.4.x
 users, but only where they do not conflict with 2.2.20 module names.
 .
 This is the short list of HW required by d-i during installation.

## discover1-data 1.2004.11.27ubuntu5

=== debian/changelog ===
discover1-data (1.2004.11.27ubuntu5) hoary; urgency=low

  * Add more ATI PCI IDs from devrel, via Alex Deucher.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 28 Mar 2005 21:52:54 +1000

discover1-data (1.2004.11.27ubuntu4) hoary; urgency=low

  * Remove large merge-o-matic patch from source tree.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 28 Feb 2005 18:13:15 +1100

discover1-data (1.2004.11.27ubuntu3) hoary; urgency=low

  * Add new ATI and nVidia chip IDs, based on radeon_chipset.h and the nv
    driver (closes: Ubuntu#6399, #6450).
  * Fix up formatting with Intel Default Card (change space to tab).
  * Change 11060605 from via -> savage (closes: Ubuntu#6079).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 28 Feb 2005 16:53:56 +1100

discover1-data (1.2004.11.27ubuntu2) hoary; urgency=low

  * Change 53338904 -> video/Server:XFree86(s3v) (closes: Ubuntu#3860).

 -- Daniel Stone <daniel.stone@canonical.com>  Fri,  3 Dec 2004 11:16:01 +0000

discover1-data (1.2004.11.27ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Mon, 29 Nov 2004 12:45:26 +0000

discover1-data (1.2004.11.27) unstable; urgency=medium

  * Joshua Kwan
    - Removed a duplicate Radeon Mobility M6 LY entry.
    - Add ath_pci for some Atheros cards; it won't be much good because
      the driver is non-free, but if it's there, it will work, and besides
      the cards won't work with anything else anyway. (See rationale for
      adding ipw2100.) closes: #277904
    - In the same vein, add ipw2200 stuff into pci-26.lst (2.6 kernel is
      required for modules.)
    - Add ethernet/3c59x for 10b7:9202 and 10b7:9210. closes: #283153
    - Add ethernet/b44 for 14e4:170c. closes: #282970
    - Add ethernet/tg3 for 14e4:170e, verified in the driver itself.

 -- Joshua Kwan <joshk@triplehelix.org>  Sat, 27 Nov 2004 18:39:54 -0800

discover1-data (1.2004.11.09ubuntu2) hoary; urgency=low

  * Change ATI r4xx-based cards from vesa to ati driver in X.Org, since we now
    support them.

 -- Daniel Stone <daniel.stone@canonical.com>  Tue, 23 Nov 2004 17:29:54 +0100

discover1-data (1.2004.11.09ubuntu1) hoary; urgency=low

  * Resync with Debian.

 -- Daniel Stone <daniel.stone@canonical.com>  Thu, 18 Nov 2004 12:33:40 +0100

discover1-data (1.2004.11.09) unstable; urgency=medium

  * Joshua Kwan
    - Change 1011:0019 to de4x5. closes: #267302
    - Add scsi/megaraid2 for 1028:0013, 1000:0408, and 1000:0409.
      (Use megaraid on 2.6 with pci-26.lst.) closes: #276379, #278888, #278841
    - Bind 1259:a11e to 8139too, closes: #277655
    - Add sound/snd-ens1371 for 1274:5580 to pci-26.lst. closes: #255705
    - Sync up piix and ata_piix bindings from upstream source PCI IDs.
      Thanks Sven Luther for the initial help with this. closes: #278203
    - Add scsi/esp for SUNW,fas. Thanks Steve Pacenka for alerting me to
      this esp variant.

 -- Joshua Kwan <joshk@triplehelix.org>  Tue,  9 Nov 2004 09:38:58 -0800

discover1-data (1.2004.09.25ubuntu3) hoary; urgency=low

  * SiS update:
    + Remove yet another SiS 'video card' that actually turns out to be a PCI
      bridge (10391002 -> bridge/ignore) (closes: Ubuntu#2669).
    + Change type of 'Audio Accelerator' to sound, but unsure as to which
      module should be used (10397019 -> sound/unknown).
    + Change type of 'VGA Controller' to video/Server:XFree86(sis), which seems
      sort of obvious (10396205 -> video/Server:XFree86(sis)).
    + Start being far more strict about what we classify as a video chipset --
      using the X.Org driver as a guide (10390204, 0205, 0215, 0225, 6330 ->
      unknown/unknown).
  * Change occurrences of ^I^I to just ^I (thanks, Colin Watson).

 -- Daniel Stone <daniel.stone@canonical.com>  Sun, 31 Oct 2004 15:06:02 +0800

discover1-data (1.2004.09.25ubuntu2) hoary; urgency=low

  * Restore missing pcmcia-26.lst, sbus-26.lst, and usb-26.lst. (Empty
    files, so diff helpfully didn't mention them ...)

 -- Colin Watson <cjwatson@canonical.com>  Fri, 29 Oct 2004 19:07:19 +0100

discover1-data (1.2004.09.25ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.
  * Drop sym53c8xx patches, since we have pci-26.lst now.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 29 Oct 2004 15:24:33 +0100

discover1-data (1.2004.09.25) unstable; urgency=medium

  * Gaudenz Steinlin
    - Add pci-26.lst, usb-26.lst, pcimcia-26.lst and sbus-26.lst
      to support the extended kernel 2.6 support of discover 1.7.0.
      These files only contain the changes to the files for 2.4.
    - Add README to explain the format of the 2.6 hardware lists.
    - Change all instances of sym53c8xx and ncr53c8xx to use
      sym53c8xx_2 (53c8xx for 2.6)
    - Change busclass of 106b0022 to sound
    - Add snd-powermac for 106b0022 to pci-26.lst.exceptions
    - Now that we have 2.6 exceptions we can add snd-ali5451
      for 10b95451 (Closes: #255505)
    - Add via82cxxx for 11060571 reported by Sven Luther
    - Add ata_piix for 80862651 (Closes: #254071)
  * Joshua Kwan
    - Change 80862486 to snd-intel8x0m (only available in 2.6, but a 2.6
      module is better than no module.)
    - Change 8086248[ab] to ide/piix.
    .. all of which closes: #256295
    - Add ethernet/tg3 for 14e41677. closes: #272123
    - Change 1011:1002 to de4x5. closes: #273265
    - Change typo'd 1011:0014 to de4x5.
    - Add nForce SATA PCI IDs and binding to ide/sata_nv; thanks Colin
      Watson, closes: #272141
    - Add bridge/agpgart for nForce AGP 10de01e0, 10de01e8. 

 -- Gaudenz Steinlin <gaudenz@soziologie.ch>  Sat, 25 Sep 2004 23:48:37 +0200

## discover1-data 1.2004.11.27ubuntu7

=== debian/changelog ===
discover1-data (1.2004.11.27ubuntu7) breezy; urgency=low

  * Move one of the i915 cards out of vesa and into i810.  Oops.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 27 Jun 2005 21:17:25 +1000

discover1-data (1.2004.11.27ubuntu6) breezy; urgency=low

  * Change 11060605 to unknown/unknown (closes: Ubuntu#8922).
    + This is also the *real* fix for #6079.  The previous fix was just hiding
      the problem.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 14 Apr 2005 08:33:16 +1000

## discover1-data 1.2005.01.08

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 VERSION=$(MAJOR).$(DATE)
 DISTNAME=discover-data-$(VERSION)
 
-hwlists_DATA = pci.lst pcmcia.lst usb.lst sbus.lst
+hwlists_DATA = pci.lst pci-26.lst pcmcia.lst pcmcia-26.lst usb.lst usb-26.lst sbus.lst sbus-26.lst
 
 hwlistsdir = $(datadir)/discover
 
@@ -63,3 +63,4 @@
 clean:
 	$(RM) *.lst-short
 	$(RM) .#*
+

=== debian/changelog ===
discover1-data (1.2005.01.08) unstable; urgency=medium

  * Joshua Kwan
    - Fix typoed 1274:5580 -> 5880 in pci-26.lst. closes: #284324
  * Christian Perrier
    - Load correct module for Initio Corporation INI-A100U2W SCSI
      card. Closes: #285005
    - Add support for Emulex fibre channel controllers. Thansk to Cajus
      Pollmeier for the patch. Closes: #288413
    - Add support for Broadcom Corporation NetXtreme BCM5721 Gigabit Ethernet
      Closes: #289101
    - Add support for Gemstone chipset SCSI controller
      Closes: #286294

 -- Joshua Kwan <joshk@triplehelix.org>  Sat,  8 Jan 2005 18:31:50 -0800

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,8 @@
  various hardware devices using the identification data that they report.  It
  contains data detailing various PCI, PCMCIA, and USB devices.
  .
- The Linux kernel module information corresponds to Linux 2.2.20; module names
- for Linux 2.4.x are also provided in many cases for the convenience of 2.4.x
- users, but only where they do not conflict with 2.2.20 module names.
+ There are two separate lists for kernel versions 2.4 and 2.6. Discover
+ automatically chooses the appropriate list for your running kernel.
 
 Package: discover1-data-udeb
 Section: debian-installer
@@ -28,8 +27,7 @@
  various hardware devices using the identification data that they report.  It
  contains data detailing various PCI, PCMCIA, and USB devices.
  .
- The Linux kernel module information corresponds to Linux 2.2.20; module names
- for Linux 2.4.x are also provided in many cases for the convenience of 2.4.x
- users, but only where they do not conflict with 2.2.20 module names.
+ There are two separate lists for kernel versions 2.4 and 2.6. Discover
+ automatically chooses the appropriate list for your running kernel.
  .
  This is the short list of HW required by d-i during installation.

=== debian/rules ===
#!/usr/bin/make -f

# $Progeny: rules,v 1.2 2002/01/18 06:20:52 dsp Exp $

PACKAGE=$(shell dh_listpackages | grep -v -- -udeb$$)
UPACKAGE=$(shell dh_listpackages | grep -- -udeb$$)

build:
# Ye olde no-op.

clean:
	dh_testdir
	dh_testroot
	make clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install prefix=/usr DESTDIR=$(CURDIR)/debian/$(PACKAGE)

	install -m 755 -d debian/$(PACKAGE)/usr/share/bug
	install -m 755 debian/discover1-data.bug debian/$(PACKAGE)/usr/share/bug/$(PACKAGE)

# discover1-data-udeb
	$(MAKE) install-udeb prefix=/usr DESTDIR=$(CURDIR)/debian/$(UPACKAGE)

binary-arch: build install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_compress 
	dh_fixperms 
	dh_installdeb 
	dh_gencontrol 
	dh_md5sums 
	dh_builddeb 

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## discover1-data 1.2005.11.25ubuntu9

=== debian/changelog ===
discover1-data (1.2005.11.25ubuntu9) dapper; urgency=low

  * Add all the ATI cards supported by the ATI X.org driver and default
    unknown ATI cards to vesa (Closes Ubuntu: #44110)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Wed, 10 May 2006 23:17:35 +0100

discover1-data (1.2005.11.25ubuntu8) dapper; urgency=low

  * ID 1039:0003 is a PCI/APG bridge and not a video card.
  (Closes Ubuntu: #40847)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 01 May 2006 06:28:55 +0200

discover1-data (1.2005.11.25ubuntu7) dapper; urgency=low

  * Fix ID for S3 Inc. VT8375 [ProSavage8 KM266/KL266] to use savage driver
    instead of vesa.
  (Closes Ubuntu: #32377, #40865)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 28 Apr 2006 10:23:24 +0200

discover1-data (1.2005.11.25ubuntu6) dapper; urgency=low

  * Fix ID for XGI chipsets Volari Z7 (XG20) and
    Volari V3XT/V5/V8/Duo (XG40).
  (Closes Ubuntu: #40138)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 27 Apr 2006 15:37:35 +0200

discover1-data (1.2005.11.25ubuntu5) dapper; urgency=low

  * Fix ID for S3 Unichrome Pro VGA Adapter (1106:3108).
    Thanks to Matteo Giordano for the patch.
    (Closes Ubuntu: #35359)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 07 Apr 2006 12:08:34 +0200

discover1-data (1.2005.11.25ubuntu4) dapper; urgency=low

  * Add IDs for i945MG after patching xserver-xorg-driver-i810
   + agpgart: 8086:27a0
   + i810: 8086:27a2

 -- Paul Sladen <ubuntu@paul.sladen.org>  Wed, 22 Mar 2006 05:46:06 +0000

discover1-data (1.2005.11.25ubuntu3) dapper; urgency=low

  * Sync to ones in 'xserver-xorg-driver-i810-1.4.1.3/src/common.h'
   + agpgart: 8086:3580 8086:2570 8086:2570 8086:2580 8086:2590 8086:2770 8086:3580
   + i810: 8086:258a 8086:2772

 -- Paul Sladen <ubuntu@paul.sladen.org>  Wed, 22 Mar 2006 03:52:12 +0000

discover1-data (1.2005.11.25ubuntu2) dapper; urgency=low

  * 8086:2592 Intel 915GM/GMS/910GML Express Graphics Controller [Malone: #35473]
  * 8086:2782 82915G Express Chipset Family Graphics Controller [Malone: #28262]
  * 8086:2792 Mobile 915GM/GMS/910GML Express Graphics Controller [Malone: #28262]

 -- Paul Sladen <ubuntu@paul.sladen.org>  Wed, 22 Mar 2006 03:08:18 +0000

discover1-data (1.2005.11.25ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Nov 2005 16:44:46 +0000

discover1-data (1.2005.11.25) unstable; urgency=low

  [ Otavio Salvador ]
  * change the following PCI IDs:
    1106:3119 a ethernet adapter using via-velocity module (closes: #331107);

  [ David Nusinow ]
  * Radeon IGP 330M/340M/350M can all use the ati module with Xorg

  [ Christian Perrier ]
  * change the following PCI IDs:
    8086:27dc a ethernet adapter using e100 module (closes: #334754);
    105a:3d75 Promise SATA controller using the sata_promise module (closes: #334472);

 -- Otavio Salvador <otavio@debian.org>  Fri, 25 Nov 2005 09:40:57 -0200

discover1-data (1.2005.09.25) unstable; urgency=low

  [ Gaudenz Steinlin ]
  * change makefile to include all *.lst files
  * add arch specific pci list for sparc, ia64 and hppa
  * changed the following PCI IDs:
    - 1282:9102 and 1282:9100 to use dmfe (closes: #326723)
    - 1282:9102 to use tulip on sparc
    - 1011:0019 to use tulip on ia64 (closes: #281569)
    - 1011:0019 to use tulip on hppa (closes: #283769)
  * Add entry for the following PCI IDs:
    - 8086:2668 sound using snd-hda-intel (closes: #323953)

 -- Gaudenz Steinlin <gaudenz@debian.org>  Sun, 25 Sep 2005 15:02:24 +0200

discover1-data (1.2005.09.22) unstable; urgency=low

  [ Gaudenz Steinlin ]
  * Add entry for the following PCI IDs:
    - 1000:0054 scsi using mptscsih (closes: #323864)
    - 103c:3220 scsi using cciss (closes: #323865)
    - 103c:3230 scsi using cciss (closes: #323865)
  * changed the following PCI IDs:
    - 8086:1a31 change agpgart to intel-agp (closes: #235578)
    - 5333:88f0 change s3 to vesa (closes: #291052)
  * update my mailadress in Uploaders
  * update FSF's adress in copyright
  
  [ Otavio Salvador ]
  * Add entry for the following PCI IDs:
    - 8086:27c0	a ide sata controller using module ata_piix;
    - 8086:27c1	a ide sata controller using module ahci;
    - 8086:27da	a i2c controller using module i2c-i801;
    - 8086:27df a ide controller using module piix;
    - 8086:27b8 a watchdog using module i8xx_tco;
    - 8086:27b9	a watchdog using module i8xx_tco;
  * Fix device class for the following PCI IDs:
    - 8086:27b8 to bridge
    - 8086:27b9 to bridge
    - 8086:27da ro unknown

 -- Gaudenz Steinlin <gaudenz@debian.org>  Thu, 22 Sep 2005 23:58:44 +0200

discover1-data (1.2005.07.31) unstable; urgency=medium

  [ Otavio Salvador ]
  * Change driver for 1282:9102 to use tulip. closes: #284730
  * Change video driver for 5333:8d04 to use vesa. closes: #276095
  * Add entry to 1166:0211 to use module serverworks. closes: #282756
  * Following the source code of serverworks module I also added the
    entries to use it for the following pci ids:
    - 1166:0212	CSB5 IDE Controller
    - 1166:0213	CSB6 RAID/IDE Controller
    - 1166:0217	CSB6 IDE Controller
  * Add entry to 1011:0019 to use tulip module when running kernel
    2.6. closes: #283391
  * Add entry to 14b9:a504 to use airo module when running kernel
    2.6. closes: #256472
  * Bumb Standards-Version to 3.6.2.

 -- Otavio Salvador <otavio@debian.org>  Sun, 31 Jul 2005 14:21:44 -0300

discover1-data (1.2005.07.18) unstable; urgency=high

  [ Petter Reinholdtsen ]
  * Fix format error in PCI entry 11790601.

  [ Joshua Kwan ]
  * Fix udeb fuckage by changing prefix to /lib for the udeb.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 17 Jul 2005 23:16:24 +0200

discover1-data (1.2005.07.12) unstable; urgency=low

  [ Joshua Kwan ]
  * Fix SB1000 installs, 1077:2100 and 1077:2200 are 'qlogicfc' instead of
    'qlogicisp'. closes: #315573
  * Fix Dell installs, 8086:1960 is megaraid2/megaraid. closes: #288049


## discover1-data 1.2006.01.14~bpo.1

=== debian/changelog ===
discover1-data (1.2006.01.14~bpo.1) sarge-backports; urgency=low

  * Rebuild for sarge.

 -- Andres Salomon <dilinger@debian.org>  Fri, 18 Aug 2006 04:20:32 +0000

discover1-data (1.2006.01.14) unstable; urgency=low

  [ Otavio Salvador ]
  * changed the following PCI IDs:
    - 8086:2592 a video adapter using vesa X driver.
    - 1002:4376	an ide adapter using sata_sil module (closes: #328935).
    - 1002:4379	an ide adapter using sata_sil module.
  * overrided modules for linux 2.6 to use 'hw_random' in the following
    pci ids (closes: #345584):
    - 8086:2418
    - 8086:2428
    - 8086:2430
    - 8086:2448
    - 8086:244e
    - 8086:245e

 -- Otavio Salvador <otavio@debian.org>  Sat, 14 Jan 2006 17:02:19 -0200

## discover1-data 1.2006.01.14ubuntu2

=== debian/changelog ===
discover1-data (1.2006.01.14ubuntu2) edgy; urgency=low

  * 1023:2100 should be a Trident video card

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat,  7 Oct 2006 20:20:56 +0100

discover1-data (1.2006.01.14ubuntu1) edgy; urgency=low

  * Sync with Debian.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 10 Jul 2006 13:22:47 +0200
